Forum

From PMD 85 Infoserver

Jump to: navigation, search
:: back to topic list ::
Message
Author  Author ::  vado
Posted  Posted ::  2017-03-12 07:58:24 PM
Subject  Subject ::  linux GPMD
Ahoj,

existuje este vyvoj linuxovej verzie emulatora ?
Posledna dostupna verzia GPMD85emulator.v0.9.1402 sa pod ubuntu s kernelom 4.8.0-41 x86_64 neda skompilovat.
Da sa to nejako rozbehnut, alebo uz nie je ziadna sanca do buducnosti ?
 
Message
Author  Author ::  Martin Bórik
Posted  Posted ::  2017-03-13 12:50:26 PM
Subject  Subject ::  Re: linux GPMD
Ahoj,
najprv sa chcem ospravedlnit za to, ze som prehliadol komentar na blogu z januara, v ktorom si sa pytal to iste.
Popisovany problem je problemom noveho GCC6, co na svojom prostredi neviem nasimulovat a nechcem si rozbabrat svoje build-tooly. GCC6 po novom povazuje warning o narrowingu za error.
Iba odhadujem, ze by mohlo by pomoct v subore configure.ac, na riadkoch 36/37 do direktiv CFLAGS a CPPFLAGS pridat na koniec -std=gnu++98 -Wno-narrowing.
Nasledne treba samozrejme pregenerovat konfiguraky pomocou autoreconf -vfi a znova prehnat cez ./configure.

Taktiez odporucam si stiahnut najaktualnejsie zdrojaky zo SVN, kde Dusky (ub880d) pokracuje vo vyvoji a obcasne fixne nejaky bug: sf.net/p/gpmd85emulator/code
 
Message
Author  Author ::  ub880d
Posted  Posted ::  2017-04-19 11:37:07 PM
Subject  Subject ::  Re: linux GPMD
r38 | ub880d | 2017-04-19 23:32:40 +0200 (Wed, 19 Apr 2017) | 5 lines

- gcc 6.3 fix for narrowing conversion ( -1 as WORD )
- unused variable
- missing {} around block (vs. misleading indentation)

:: back to topic list ::